module.exports = function(grunt) {

  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),
    traceur: {
      options: {
        // traceur options here
      },
      custom: {
        files:{
          'build/scripts/app.js': ['src/scripts/*.js']
        }
      }
    },
    '6to5': {
      options: {
        sourceMap: true,
        modules: 'amd'
      },
      build: {
        files: [{
          expand: true,
          cwd: 'src/scripts',
          src: ['**/*.js'],
          dest: 'build/scripts',
        }],
      }
    },
    watch: {
      files: ['src/**/*.*'],
      tasks: ['6to5']
    }
  });
  
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-traceur');
  grunt.loadNpmTasks('grunt-6to5');

  grunt.registerTask('default', ['watch']);

};