define(["exports", "log"], function (exports, _log) {
	"use strict";

	var _slicedToArray = function (arr, i) { if (Array.isArray(arr)) { return arr; } else { var _arr = []; for (var _iterator = arr[Symbol.iterator](), _step; !(_step = _iterator.next()).done;) { _arr.push(_step.value); if (i && _arr.length === i) break; } return _arr; } };

	var _applyConstructor = function (Constructor, args) { var instance = Object.create(Constructor.prototype); var result = Constructor.apply(instance, args); return result != null && (typeof result == "object" || typeof result == "function") ? result : instance; };

	var _toArray = function (arr) { return Array.isArray(arr) ? arr : Array.from(arr); };

	var _prototypeProperties = function (child, staticProps, instanceProps) { if (staticProps) Object.defineProperties(child, staticProps); if (instanceProps) Object.defineProperties(child.prototype, instanceProps); };

	var _classCallCheck = function (instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } };

	var log = _log;
	var Basket = (function () {
		function Basket() {
			_classCallCheck(this, Basket);
		}

		_prototypeProperties(Basket, {
			add: {
				value: function add(product) {
					$("#basket").append("<div>" + product.name + "</div>");
				},
				writable: true,
				configurable: true
			}
		});

		return Basket;
	})();

	var Product = (function () {
		function Product(name, price) {
			_classCallCheck(this, Product);

			var _ref = [name, price];

			var _ref2 = _slicedToArray(_ref, 2);

			this.name = _ref2[0];
			this.price = _ref2[1];
		}

		_prototypeProperties(Product, null, {
			render: {
				value: function render() {
					return "\n\t\t\t<li>\n\t\t\t\t<strong>" + this.name + "</strong>\n\t\t\t\t<span>" + this.price + "</span>\n\t\t\t</li>\n\t\t";
				},
				writable: true,
				configurable: true
			},
			getElement: {
				value: function getElement() {
					var _this = this;
					return $(this.render()).on("click", function () {
						log.write("" + _this.name + " clicked.");
						_this.addToBasket();
					});
				},
				writable: true,
				configurable: true
			},
			addToBasket: {
				value: function addToBasket() {
					app.Basket.add(this);
				},
				writable: true,
				configurable: true
			}
		});

		return Product;
	})();

	var app = {
		Basket: Basket,
		init: function init() {
			var data = [["iPhone 6", "$700"], ["iPad Air", "$400"], ["Kindle Fire", "$100"]];

			data.forEach(function (d) {
				var p = _applyConstructor(Product, _toArray(d));
				$("ul").append(p.getElement());
			});
		}
	};

	app.init();
});
//# sourceMappingURL=app.js.map