'use strict';

import * as log from 'log';

class Basket {
	static add(product) {
		$('#basket').append(`<div>${product.name}</div>`);
	}
}

class Product {
	constructor(name, price) {
		[this.name, this.price] = [name, price];
	}

	render() {
		return `
			<li>
				<strong>${this.name}</strong>
				<span>${this.price}</span>
			</li>
		`;
	}

	getElement() {
		return $(this.render()).on('click', () => {
			log.write(`${this.name} clicked.`);
			this.addToBasket();
		});
	}

	addToBasket() {
		app.Basket.add(this);
	}
}

var app = { 
	Basket,
	init(){
		let data = [['iPhone 6', '$700'], ['iPad Air', '$400'], ['Kindle Fire', '$100']];

		data.forEach((d) => {
			let p = new Product(...d);
			$('ul').append(p.getElement());
		});
	}
};

app.init();